#include <thread.h>
#include <synch.h>
#include <string.h>
#include <gpk_channel.h>


template <class T>
class channel : private generic_channel	{
	public:
	void write(const T *p)	{ generic_channel::write((const void *)p, sizeof(T));}
	void read(T *p)	{ generic_channel::read((void *)p, sizeof(T));}
	};
